# Generates an order from a membership application This method will examine a membership application and generate an appropriate order Endpoint: POST /applications/{tenantId}/generateOrder Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed ## Request fields (application/json): - `add_ons` (array) - `add_ons.add_on_id` (string, required) The add on - `add_ons.quantity` (number) The quantity of add on - `additional_chapter_ids` (array) Additional chapter IDs - `application_group_id` (string) The associated application group - `assigned_contacts` (array) - `assigned_contacts.add_on_ids` (array) The add ons this individual would like - `assigned_contacts.chapter_ids` (array) The chapters this individual would like to join - `assigned_contacts.contact_id` (string) - `assigned_contacts.new_contact_info` (object) - `assigned_contacts.section_ids` (array) The sections this individual would like to join - `assigned_contacts.type` (string, required) Enum: "existing", "new" - `average_score` (number) The average score for this submission in the most recent round - `bucket_id` (string, required) The review bucket - `chapter_id` (string) The chapter ID - `contact_id` (string, required) The owner of this membership - `corporate_member_ids` (array) The individuals that should receive the corporate membership - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date of the application - `do_not_renew` (boolean) Do not attempt to automatically renew this membership - `do_not_show_in_directory` (boolean) Whether or not this membership should be hidden from the directory - `group_application_process_id` (string) The associated application group application - `group_order` (number) The order of the application in the group - `hidden_directory_fields` (array) The fields that should not be shown for this member in the directory - `id` (string, required) The unique, string identifier of this application - `included_merchandise` (array) - `included_merchandise.modifier_options` (array) - `included_merchandise.modifier_options.option_id` (string, required) The modifier option ID - `included_merchandise.modifier_options.option_name` (string) - `included_merchandise.modifier_options.value` (string) The value of the option - `included_merchandise.product_id` (string, required) The id of the product - `included_merchandise.product_type` (string, required) The type of product - `included_merchandise.sku` (string) The SKU of the product, if applicable - `included_merchandise.variant_options` (array) - `included_merchandise.variant_options.option_id` (string, required) The variant option ID - `last_review_status_change` (string) The date that the review status was last changed - `membership_package_id` (string) The membership package - `membership_type_id` (string) The membership type - `name` (string, required) The name on the application - `notes` (string) Notes - `order_id` (string) The order id - `order_line_item_id` (string) The order line item id - `organization_id` (string, required) The organizational owner of this membership - `override_bucket_assignment` (boolean) If set, the bucket is not calculated automatically, and instead manually assigned - `override_join_date` (string) Allows for applications that override join date - `owner_type` (string, required) The type of owner Enum: "contact", "organization" - `pending_console_review` (boolean) If true, then this record has been reviewed and now needs action by the staff - `process_id` (string, required) The application process used - `referral_contact_id` (string) The individual who referred this member - `renew_automatically` (boolean) If set, then this membership will automatically renew with the card on file - `review_status` (string) The review status of this application Enum: "accepted", "alternate", "declined", "pending review" - `reviewer_recommendation` (string) Aggregate recommendation across all reviewers - `round_id` (string) The review round - `section_ids` (array) - `status` (string, required) The membership application status Enum: "approved", "not yet submitted", "rejected", "under review" - `status_reason_id` (string) The reason that a membership application is in the specific status - `submission_space_id` (string) The submission space to which this object belongs - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total_score` (number) The total score for this submission in the most recent round ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields